Subject: Re: bug#18386: logname fails with error "logname: no login name" (is there an echo in here)

From: Bernhard Voelker <[email-masked]>
Date: Wed, 03 Sep 2014 12:12:18 +0200

tag 18386 notabug
close 18386
stop

On 09/03/2014 11:06 AM, Linda Walsh wrote:
> Bernhard Voelker wrote:
>>   open("/proc/self/loginuid", O_RDONLY)   = 3
> ----
>      I don't have a /proc/self/loginuid
>
>
> How is it enabled in a vanilla kernel?
...
> Yup.... mine is stock from kernel.org
>
> I don't recall seeing any option for loginuid.
>
> What module is it?  I probably don't have it mounted.

Thanks for getting back.
I don't know why getlogin() is using /proc/self/loginuid on openSUSE,
and why their kernels provide that file while a vanilla kernel does not.
I think this issue should be discussed downstreams.
Anyway, as this is clearly not an issue with logname(1) and how it
uses getlogin(), I'm marking this as not a bug.

Have a nice day,
Berny